Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.verisign.epp.codec.contact
Class EPPContactCreateResp

    java.lang.Object
      com.verisign.epp.codec.gen.EPPResponse
          com.verisign.epp.codec.contact.EPPContactCreateResp

All Implemented Interfaces:
  EPPCodecComponent, EPPMessage, java.io.Serializable, java.lang.Cloneable

    public class EPPContactCreateResp

extends EPPResponse

Represents a <contact:creData> response to an `EPPContactCreateCmd`. When a <create> command has been processed successfully, the EPP <resData> element MUST contain a child <contact:creData> element that identifies the contact namespace and the location of the contact schema. The <contact:creData> element contains the following child elements:

- A <contact:id> element that contains the server-unique identifier for the contact to be deleted. Use `getId` and `setId` to get and set the element.
- A <domain.crDate> element that contains the date and time of domain object creation. Use `getCreationDate` and `setCreationDate` to get and set the element.

Version:
  $Revision: 1.2 $
Author:
  $Author: jim $
See Also:
  `EPPResponse`, Serialized Form

Field Summary

Fields inherited from class com.verisign.epp.codec.gen.EPPResponse
`extensions, TRANSFER_CLIENT_APPROVED, TRANSFER_CLIENT_CANCELLED, TRANSFER_CLIENT_REJECTED, TRANSFER_PENDING, TRANSFER_SERVER_APPROVED, TRANSFER_SERVER_CANCELLED`

Constructor Summary
`EPPContactCreateResp()` `EPPContactCreateResp` default constructor.
`EPPContactCreateResp(EPPTransId aTransId, java.lang.String aId, java.util.Date aCreationDate)` `EPPContactCreateResp` constructor that takes the contact id as an argument.

Method Summary
`java.lang.Object` | `clone()` Clone `EPPContactCreateResp`.
`protected void` | `doDecode(org.w3c.dom.Element aElement)` Decode the `EPPContactCreateResp` attributes from the aElement DOM Element tree.
`protected org.w3c.dom.Element` | `doEncode(org.w3c.dom.Document aDocument)` Encode a DOM Element tree from the attributes of the `EPPContactCreateResp` instance.
`boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPContactCreateResp` with this instance.
`java.util.Date` | `getCreationDate()` Get creation date.
`java.lang.String` | `getId()` Gets the contact id to delete.
`java.lang.String` | `getNamespace()` Gets the EPP command Namespace associated with `EPPContactCreateResp`.
`void` | `setCreationDate(java.util.Date newCrDate)` Set creation date.
`void` | `setId(java.lang.String aId)` Sets the contact id to delete.
`java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

Methods inherited from class com.verisign.epp.codec.gen.EPPResponse
`addExtension, decode, encode, getExtension, getExtension, getExtensions, getMessageQueue, getMsgQueue, getMsgQueueCount, getMsgQueueDate, getMsgQueueMsg, getQDate, getResult, getResults, getTransId, getType, hasExtension, hasExtensions, hasMessageQueue, hasMsgQueue, hasResultCode, isSuccess, setExtension, setExtensions, setMsgQueue, setResult, setResult, setResult, setResult, setResults, setTransId`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### EPPContactCreateResp

    public EPPContactCreateResp()

  `EPPContactCreateResp` default constructor. The id is initialized to `null`. The id and creation date must be set before invoking `encode`.

### EPPContactCreateResp

    public EPPContactCreateResp(EPPTransId aTransId,
                                java.lang.String aId,
                                java.util.Date aCreationDate)

  `EPPContactCreateResp` constructor that takes the contact id as an argument.

  Parameters:
    `aTransId` - Transaction Id associated with command.
    `aId` - Contact id to delete.
    `aCreationDate` - Creation date

Method Detail

### getNamespace

    public java.lang.String getNamespace()

  Gets the EPP command Namespace associated with `EPPContactCreateResp`.

  Specified by:
    `getNamespace` in interface `EPPMessage`
  Overrides:
    `getNamespace` in class `EPPResponse`
  Returns:
    `EPPContactMapFactory.NS`

### getCreationDate

    public java.util.Date getCreationDate()

  Get creation date.

  Returns:
    java.util.Date

### setCreationDate

    public void setCreationDate(java.util.Date newCrDate)

  Set creation date.

  Parameters:
    `newCrDate` - java.util.Date

### doEncode

    protected org.w3c.dom.Element doEncode(org.w3c.dom.Document aDocument)
                                    throws EPPEncodeException

  Encode a DOM Element tree from the attributes of the `EPPContactCreateResp` instance.

  Overrides:
    `doEncode` in class `EPPResponse`
  Parameters:
    `aDocument` - DOM Document that is being built. Used as an Element factory.
  Returns:
    Root DOM Element representing the `EPPContactCreateResp` instance.
  Throws:
    `EPPEncodeException` - Unable to encode `EPPContactCreateResp` instance.

### doDecode

    protected void doDecode(org.w3c.dom.Element aElement)
                     throws EPPDecodeException

  Decode the `EPPContactCreateResp` attributes from the aElement DOM Element tree.

  Overrides:
    `doDecode` in class `EPPResponse`
  Parameters:
    `aElement` - Root DOM Element to decode `EPPContactCreateResp` from.
  Throws:
    `EPPDecodeException` - Unable to decode aElement

### getId

    public java.lang.String getId()

  Gets the contact id to delete.

  Returns:
    Contact Id `String` instance if defined; `null` otherwise.

### setId

    public void setId(java.lang.String aId)

  Sets the contact id to delete.

  Parameters:
    `aId` - Contact Id

### equals

    public boolean equals(java.lang.Object aObject)

  Compare an instance of `EPPContactCreateResp` with this instance.

  Overrides:
    `equals` in class `EPPResponse`
  Parameters:
    `aObject` - Object to compare with.
  Returns:
    DOCUMENT ME!

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Clone `EPPContactCreateResp`.

  Specified by:
    `clone` in interface `EPPCodecComponent`
  Overrides:
    `clone` in class `EPPResponse`
  Returns:
    clone of `EPPContactCreateResp`
  Throws:
    `java.lang.CloneNotSupportedException` - standard Object.clone exception

### toString

    public java.lang.String toString()

  Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

  Overrides:
    `toString` in class `EPPResponse`
  Returns:
    Indented XML `String` if successful; `ERROR` otherwise.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © VeriSign Inc. All Rights Reserved.